package Cobol::Compiler::ProgramToken;

use parent 'Token';

use constant PROGRAMTOKENS => qw(IDENTIFICATION PROGRAM-ID);

sub new {
	my ($class, $name) = @_;
        my $self = $class->SUPER::new;

	$self->{tokens}[Cobol::Compiler::ProgramToken->IDENTIFCATION] = 10;
	$self->{tokens}[Cobol::Compiler::ProgramToken->PROGRAM-ID] = 20;

}

